#include "stdafx.h"
#include "XmlHelper.h"

void CXmlHelper::CreateTag(const WCHAR* pTagName, const WCHAR* pTagData, bool open, bool close, bool prepare)
{
	if ( open )
	{
		m_Value += '<';
		m_Value += pTagName;
		m_Value += '>';

		if ( prepare )
			PrepareString(pTagData);
		else
			m_Value += pTagData;
	}

	if ( close )
	{
		m_Value += L"</";
		m_Value += pTagName;
		m_Value += L">\r\n";
	}
}

void CXmlHelper::PrepareString(const WCHAR* pText)
{
	while ( *pText != 0 )
	{
		if ( *pText == '&' )
			m_Value += L"&amp;";
		if ( *pText == '<' )
			m_Value += L"&lt";
		else if ( *pText == '>' )
			m_Value += L"&gt;";
		else
			m_Value += *pText;

		++pText;
	}
}