#pragma once
#include <string>

// PrepareString and CreateTag are based on the XMLGenU.pas sample from http://www.videodb.info/forum_en/index.php?topic=764.0
class CXmlHelper
{
public:
	void CreateTag(const WCHAR* pTagName, const WCHAR* pTagData, bool open = true, bool close = true, bool prepare = true);
	void OpenTag(const WCHAR* pTagName) { CreateTag(pTagName, L"", true, false, false); }
	void CloseTag(const WCHAR* pTagName) { CreateTag(pTagName, L"", false, true, false); }

	const WCHAR* GetString() const { return m_Value.c_str(); }

private:
	void PrepareString(const WCHAR* pText);

	std::wstring m_Value;
};